%global srcname restauth-common

Name:           python-restauth-common
Version:        0.6.2
Release:        18%{?dist}
Summary:        Python module containing classes used by both RestAuth server/client
License:        GPLv3+
URL:            https://common.restauth.net/
Source0:        https://common.restauth.net/download/%{srcname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-sphinx
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%global _description\
RestAuthCommon is a small project that collects various code that is used\
in both server and client reference implementations of the RestAuth protocol,\
which are both written in python.

%description %_description

%package -n python3-restauth-common
Summary:        Python module containing classes used by both RestAuth server/client

%description -n python3-restauth-common
RestAuthCommon is a small project that collects various code that is used
in both server and client reference implementations of the RestAuth protocol,
which are both written in python.

%package doc
Summary:        RestAuthCommon Documentation

%description doc
Documentation for RestAuthCommon

%prep
%setup -q -n %{srcname}-%{version} -c


%build
%py3_build
%{__python3} setup.py build_doc

%install
%py3_install
rm -rf %{buildroot}/usr/share/doc/*

# Install doc
cp -a ./doc/_build/html ./
rm -f html/\.buildinfo

%files -n python3-restauth-common
%doc AUTHORS COPYING COPYRIGHT ChangeLog
%{python3_sitelib}/*

%files doc
%doc html

%changelog
* Mon Feb 11 2019 Miro Hrončok <mhroncok@redhat.com> - 0.6.2-18
- Subpackage python2-restauth-common has been removed
  See https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.6.2-15
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.6.2-14
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.6.2-12
- Python 2 binary package renamed to python2-restauth-common
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.6.2-9
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-8
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-6
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 28 2014 Kalev Lember <kalevlember@gmail.com> - 0.6.2-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jun 03 2013 Jan Kaluza <jkaluza@redhat.com> - 0.6.2-1
- update to upstream version 0.6.2

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Aug 04 2012 David Malcolm <dmalcolm@redhat.com> - 0.5.1-6
- rebuild for https://fedoraproject.org/wiki/Features/Python_3.3

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Nov 28 2011 Jan Kaluza <jkaluza@redhat.com> - 0.5.1-3
- shorter Summary
- fixed rpmlint warnings

* Tue Nov 22 2011 Jan Kaluza <jkaluza@redhat.com> - 0.5.1-2
- include docs

* Wed Nov 02 2011 Jan Kaluza <jkaluza@redhat.com> - 0.5.1-1
- Initial version
